searchData={"items":[{"type":"module","title":"BroadwayDashboard","doc":"`BroadwayDashboard` is a tool to analyze [`Broadway`](https://hexdocs.pm/broadway)\npipelines. It provides some insights about performance and errors for\nyour running pipelines.\n\nIt works as an additional page for the [`Phoenix LiveDashboard`](https://hexdocs.pm/phoenix_live_dashboard).\n\nYou can inspect pipelines on remote nodes that are not running `BroadwayDashboard` too.\nSee [Distribution](#distribution) for details.\n\n![Broadway Dashboard](https://raw.githubusercontent.com/dashbitco/broadway_dashboard/4da2a5f388a7579d41b63803652796c106b74785/priv/static/broadway-dashboard-01.gif)","ref":"BroadwayDashboard.html"},{"type":"module","title":"Integration with Phoenix LiveDashboard - BroadwayDashboard","doc":"You can add this page to your Phoenix LiveDashboard by adding as a page in\nthe `live_dashboard` macro at your router file.\n\n```elixir\nlive_dashboard \"/dashboard\",\n  additional_pages: [\n    broadway: {BroadwayDashboard, pipelines: [MyBroadway]}\n  ]\n```\n\nThe `:pipelines` option accept pipeline names (the `:name` option of your Broadway).\nBy omitting the `:pipelines` option, `BroadwayDashboard` will try to autodiscover your pipelines.\n\n```elixir\nlive_dashboard \"/dashboard\",\n  additional_pages: [\n    broadway: BroadwayDashboard\n  ]\n```\n\nOnce configured, you will be able to access the `BroadwayDashboard` at `/dashboard/broadway`.","ref":"BroadwayDashboard.html#module-integration-with-phoenix-livedashboard"},{"type":"module","title":"Using from the command line with PLDS - BroadwayDashboard","doc":"It's possible to use Broadway Dashboard without having to install it on your application.\nPLDS stands for Phoenix LiveDashboard Standalone and it's a CLI version of Phoenix LiveDashboard with\nsome tools pre-installed. One of those tools is Broadway Dashboard.\n\nTo install PLDS on your machine, you can run:\n\n```\n$ mix escript.install hex plds\n```\n\nThen connect to your running node with:\n\n```\n$ plds server --connect mynode --open\n```\n\nFor more information about the usage, please check the [PLDS documentation](https://hexdocs.pm/plds).","ref":"BroadwayDashboard.html#module-using-from-the-command-line-with-plds"},{"type":"module","title":"Distribution - BroadwayDashboard","doc":"**Phoenix LiveDashboard** works with distribution out of the box, and it's not different\nwith **Broadway Dashboard**! You can inspect your pipelines that are running on connected nodes.\n\nYou can also inspect pipelines from nodes that are not running the same system of\nyour dashboard. This is possible because we \"copy\" the essential parts of this\ntool to the remote node when it's not running `BroadwayDashboard`. We stop the tracking\nonce the node that started it is disconnected.","ref":"BroadwayDashboard.html#module-distribution"}],"content_type":"text/markdown"}